Type to search.

Search workflow executions

Base URL
https://{kibana_url}
  • GET /api/workflows/workflow/executions
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Search across all workflow executions.

Required privileges

Privileges workflowsManagement:read and workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution

Query parameters

kql string · max length: 4096

KQL query string to filter executions.

statuses enum[] · max items: 11

Filter by execution status.

Values: pending waiting waiting_for_input waiting_for_child running queued completed failed cancelled timed_out skipped
executionTypes enum[] · max items: 2

Filter by execution type.

Values: test production
executedBy string[] · max items: 100

Filter by the user who triggered the execution.

concurrencyGroupKey string

Filter by evaluated concurrency group key.

startedAfter string

Datemath lower bound for filtering executions by startedAt.

startedBefore string

Datemath upper bound for filtering executions by startedAt.

finishedAfter string

Datemath lower bound for filtering executions by finishedAt.

finishedBefore string

Datemath upper bound for filtering executions by finishedAt.

collapse enum

Field to collapse execution results by.

Values: concurrencyGroupKey status executedBy triggeredBy
sortField enum

Field to sort by. One of: startedAt, duration, workflowId, triggeredBy.

Values: startedAt duration workflowId triggeredBy
sortOrder enum

Sort direction.

Values: asc desc
page number · min: 1

Page number.

size number · min: 1 · max: 100

Number of results to return.

trackTotalHits boolean

Whether to track total hit count.

Responses

200

Indicates a successful response

application/json
400

Indicates a bad request, such as invalid KQL syntax

application/json